# [midgard] Stockage

## Schéma de partitionnement cible
- **vda** (disque système cloud-init) 10G
    - vda14 (BIOS boot)
    - vda15 (EFI)
    - vda1 (partition racine /)

- **vdb** (disque secondaire LVM) 5G

### Schéma de partitionnement LVM
- **data** (LVM volume group) : **vdb**
    - **pgdata** (LVM logical volume) : 4G
    - **pglog** (LVM logical volume) : 1G


## Initialisation LVM pour le disque secondaire
Création du *physical volume* **vdb**

`sudo pvcreate /dev/vdb`

Création du *volume groupe* **data**

`sudo vgcreate data /dev/vdb`

Création des *logical volumes* **pgdata** et **pglog**

`sudo lvcreate -L 4G -n pgdata data`

`sudo lvcreate -l+100%FREE -n pglog data`

### Formatage et montage des volumes de données
Formatage les deux volumes en EXT4

`sudo mkfs.ext4 /dev/data/pgdata`

`sudo mkfs.ext4 /dev/data/pgdata`

Création des répertoires `/data/pgdata` et `/data/pglog`

`sudo mkdir -p /data/pgdata /data/pglog`

Montage des volumes. Via `/etc/fstab`

```
/dev/data/pgdata /data/pgdata ext4 rw,discard,errors=remount-ro,x-systemd.growfs 0 1
/dev/data/pglog /data/pglog ext4 rw,discard,errors=remount-ro,x-systemd.growfs 0 1
```

`sudo mount /data/pgdata`

`sudo mount /data/pglog`
